#include <tn.h>

int main()
{
	initcons();

	clrscr();
	printw("Waiting for input..");

	while (!keypressed())
	{
		printw(".");
		update();
		delay(1000);
	}

	printw("\n\nYou hit the '%c' key!\n",
		readkey());
	update();

	donecons();
	return 0;
}

